summaryrefslogtreecommitdiff
path: root/node_modules/snekfetch/scripts/travis-deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'node_modules/snekfetch/scripts/travis-deploy.sh')
-rw-r--r--node_modules/snekfetch/scripts/travis-deploy.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/node_modules/snekfetch/scripts/travis-deploy.sh b/node_modules/snekfetch/scripts/travis-deploy.sh
new file mode 100644
index 0000000..5af87dc
--- /dev/null
+++ b/node_modules/snekfetch/scripts/travis-deploy.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+# Based on https://github.com/hydrabolt/discord.js-site/blob/master/deploy/deploy.sh
+
+set -e
+
+if [ "$TRAVIS_BRANCH" != "master" -o -n "$TRAVIS_TAG" -o "$TRAVIS_PULL_REQUEST" != "false" ]; then
+ echo -e "Not building for a non master branch push - building without deploying."
+ npm run docs
+ exit 0
+fi
+
+echo -e "Building for a master branch push - building and deploying."
+
+REPO=$(git config remote.origin.url)
+SHA=$(git rev-parse --verify HEAD)
+
+TARGET_BRANCH="gh-pages"
+git clone $REPO dist -b $TARGET_BRANCH
+
+npm run docs
+
+rsync -vau docs/ dist/
+
+cd dist
+git add --all .
+git config user.name "Travis CI"
+git config user.email "${COMMIT_EMAIL}"
+git commit -m "Docs build: ${SHA}" || true
+git push "https://${GH_TOKEN}@${GH_REF}" $TARGET_BRANCH